%{?_with_compat73: %define compatv 73}
%{?_with_compat73: %define compatfv 7.3}
%{?_with_compat72: %define compatv 72}
%{?_with_compat72: %define compatfv 7.2}
%{?_with_compat71: %define compatv 71}
%{?_with_compat71: %define compatfv 7.1}
%{?_with_compat56: %define compatv 56}
%{?_with_compat56: %define compatfv 5.6}

%define phptmpdir /var/lib/php%{?compatv}/tmp

%define _phplib %{_libdir}/php%{?compatv}
%define _extdir %{_phplib}/extensions
%define modname uploadprogress
%define modfullname mod_%{modname}

%{?_with_compat73: %define modsoname %{modname}}
%{?_with_compat72: %define modsoname %{modname}}
%{?_with_compat71: %define modsoname %{modname}.so}
%{?_with_compat56: %define modsoname %{modname}.so}
%{!?modsoname:%define modsoname %{modname}.so}

Summary: php %{?compatfv} extension to track progress of a file upload.
Name: php%{?compatv}-pecl-%{modname}
Version: 1.0.3.1
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
URL: http://pecl.php.net/package/uploadprogress
#Source0: https://github.com/OOPS-ORG-PHP/mod_korean/archive/%{version}.tar.gz#/%{modfullname}-%{version}.tar.bz2
#Source0: https://github.com/OOPS-ORG-PHP/mod_korean/releases/download/%{version}/mod_korean-%{version}.tar.bz2

Patch0: uploadprogress-master-95d8a0f-warning.patch
Patch100: uploadprogress-annyung-tmpdir.patch

BuildRoot: /var/tmp/%{name}-root
Requires: php%{?compatv}api
BuildRequires: php%{?compatv}-devel

%description
See http://svn.php.net/viewvc/pecl/uploadprogress/trunk/examples/ for a
little example. It is only known to work on Apache with mod_php, other
SAPI implementations unfortunately still have issues. At least PHP 5.2
is needed.

%prep
#setup -q -n %{modfullname}-%{version}
%setup -c -T -n %{modfullname}-%{version}

git clone https://git.php.net/repository/pecl/php/uploadprogress.git && \
	mv uploadprogress/* ./ && rm -rf uploadprogress || \
	exit 1

%patch0 -p1
%patch100 -p1

sed -r -i 's;\{TMPDIR\};/var/lib/php%{?compatv};g' uploadprogress.c

%build

/usr/bin/phpize%{?compatv}

CFLAGS="${RPM_OPT_FLAGS}"
%{configure}

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/%{modname}.so %{buildroot}%{_extdir}/%{modname}.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/{%{!?compatv:apache},cli,fpm}
for i in %{!?compatv:apache} cli fpm
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php%{?compatv}.d/$i/%{modname}.ini <<EOF
extension = %{modsoname}

;uploadprogress.file.filename_template = %{phptmpdir}/upt_%%s.txt
;uploadprogress.file.contents_template = %{phptmpdir}/upload_contents_%%s
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/%{modname}.so
%{!?compatv:%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/apache/%{modname}.ini}
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/cli/%{modname}.ini
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/fpm/%{modname}.ini

%changelog
* Thu Jan 24 2019 JoungKyun.Kim <hostmaster@oops.org> 1:1.0.3.1-1%{?dist}
- update 1.0.3.1
